"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = require("react-redux");
function useAwaitControl(asyncAction) {
    const dispatch = react_redux_1.useDispatch();
    const start = () => dispatch(asyncAction.start());
    const success = () => dispatch(asyncAction.success());
    const cancel = () => dispatch(asyncAction.cancel());
    const failure = () => dispatch(asyncAction.failure());
    const isRunning = (actionId) => react_redux_1.useSelector(asyncAction.isRunning(actionId));
    const isCancelled = (actionId) => react_redux_1.useSelector(asyncAction.isCancelled(actionId));
    const hasFailure = (actionId) => react_redux_1.useSelector(asyncAction.hasFailure(actionId));
    const isSuccessful = (actionId) => react_redux_1.useSelector(asyncAction.isSuccessful(actionId));
    return {
        start,
        success,
        cancel,
        failure,
        isRunning,
        isCancelled,
        hasFailure,
        isSuccessful,
    };
}
exports.default = useAwaitControl;
